> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new engagement news article



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /engagement/news
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /engagement/news:
    post:
      tags:
        - Engagement News
      summary: Create a new engagement news article
      operationId: CreateNewsArticle
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema: {}
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OutboundDocument'
      security:
        - jwt: []
components:
  schemas:
    OutboundDocument:
      allOf:
        - $ref: '#/components/schemas/OutboundI'
        - $ref: '#/components/schemas/Document'
    OutboundI:
      $ref: '#/components/schemas/InferSchemaType_typeofoutboundSchema_'
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    InferSchemaType_typeofoutboundSchema_:
      $ref: >-
        #/components/schemas/IfAny_typeofoutboundSchema.any.ObtainSchemaGeneric_typeofoutboundSchema.DocType__
    FlattenMaps_T_:
      properties: {}
      type: object
    IfAny_typeofoutboundSchema.any.ObtainSchemaGeneric_typeofoutboundSchema.DocType__:
      properties:
        searchContent:
          type: string
        emailTemplate:
          properties:
            isValid:
              properties: {}
              type: object
            createFromHexString:
              properties: {}
              type: object
            createFromTime:
              properties: {}
              type: object
            generate:
              properties: {}
              type: object
            cacheHexString: {}
          type: object
        sourceOutbound:
          properties:
            isValid:
              properties: {}
              type: object
            createFromHexString:
              properties: {}
              type: object
            createFromTime:
              properties: {}
              type: object
            generate:
              properties: {}
              type: object
            cacheHexString: {}
          type: object
        trigger: {}
        pageFilterDelay:
          type: number
          format: double
        pageFilter:
          type: string
        eventTriggerDelay:
          type: number
          format: double
        eventTrigger:
          type: string
        actionType:
          type: string
        sentAt:
          type: string
          format: date-time
        stats: {}
        subject: {}
        coverImageUrl:
          type: string
        subType:
          type: string
        sender:
          properties:
            isValid:
              properties: {}
              type: object
            createFromHexString:
              properties: {}
              type: object
            createFromTime:
              properties: {}
              type: object
            generate:
              properties: {}
              type: object
            cacheHexString: {}
          type: object
        project:
          properties:
            isValid:
              properties: {}
              type: object
            createFromHexString:
              properties: {}
              type: object
            createFromTime:
              properties: {}
              type: object
            generate:
              properties: {}
              type: object
            cacheHexString: {}
          type: object
        data: {}
        conditions: {}
        config: {}
        message: {}
        aiSummaryOutdated:
          type: boolean
        aiSummary:
          type: string
        organisation:
          properties:
            isValid:
              properties: {}
              type: object
            createFromHexString:
              properties: {}
              type: object
            createFromTime:
              properties: {}
              type: object
            generate:
              properties: {}
              type: object
            cacheHexString: {}
          type: object
        createdBy:
          properties:
            isValid:
              properties: {}
              type: object
            createFromHexString:
              properties: {}
              type: object
            createFromTime:
              properties: {}
              type: object
            generate:
              properties: {}
              type: object
            cacheHexString: {}
          type: object
        startSendingAfter:
          type: string
          format: date-time
        stopSendingAfter:
          type: string
          format: date-time
        pageRules:
          items:
            properties:
              pageFilter:
                type: string
              pageFilterType:
                type: string
                enum:
                  - is
                  - contains
                  - isnot
                  - notcontains
                  - startswith
                  - endswith
                  - empty
                  - notempty
            required:
              - pageFilterType
            type: object
          type: array
        pageFilterType:
          type: string
          enum:
            - is
            - contains
            - isnot
            - notcontains
            - startswith
            - endswith
            - empty
            - notempty
        frequencyDays:
          type: number
          format: double
        frequency:
          type: string
        frequencyType:
          type: string
        format:
          type: string
        sent:
          type: boolean
        sound:
          type: boolean
        newTrigger:
          type: boolean
        tags:
          items:
            type: string
          type: array
        updatedAt:
          type: string
          format: date-time
        status:
          type: string
        targetAudience:
          type: string
        createdAt:
          type: string
          format: date-time
        hidden:
          type: boolean
        name:
          type: string
        type:
          type: string
      required:
        - startSendingAfter
        - stopSendingAfter
        - pageRules
        - pageFilterType
        - frequencyDays
        - frequency
        - frequencyType
        - format
        - sent
        - sound
        - newTrigger
        - tags
        - updatedAt
        - status
        - targetAudience
        - createdAt
        - hidden
        - name
        - type
      type: object
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````